Subject: Re: [CYGWIN] Perl with Postrges under Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: "Jim.George" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 15 Jun 2002 21:10:24 +0200

Hallo Jim.George,

Am Samstag, 15. Juni 2002 um 10:17 schriebst du:

>         That's where my problem starts.  I went to CPAN to find a DBI and
>   DBD for Postgres (had to grab the ODBC DBD as there wasn't one for
>   Postgres), trouble is that the install of the DBI pgsql relies on dynamic
>   libraries so I was hoping there was a binary port of these modules or
>   advice on installation?

DBD::Pg builds OOTB, with current DBI and Cygwin Perl versions.

>         Sorry I forgot to mention the most important part and that is that
> the files libpq.so and libpq-fe.h do not appear to be present under my Cygwin
> installation .

.so files are never there, just .dll libs.  If you have installed
postgres there are also the libs and headers.  Look in /lib or /bin
for the .dll's and in /usr/include/postgresql for the headers.

>         The next thing I tried was the perl DBI module Postgres-1.4, however
> when compiling this I got the following errors.

DBD-Pg?

> gcc -c -I/usr/local/postgres95/include -DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include -DUSEIMPORTLIB -O2   -DVERSION=\"1.4\" -DXS_VERSION=\"1.4\" 
> -I/usr/lib/perl5/5.6.1/cygwin-multi/CORE  Postgres.c
> Postgres.xs: In function `XS_PGconnPtr_getline':
> Postgres.xs:148: `sv_undef' undeclared (first use in this function)
> Postgres.xs:148: (Each undeclared identifier is reported only once
> Postgres.xs:148: for each function it appears in.)
> Postgres.xs: In function `XS_QUERYPtr_fetchrow':
> Postgres.xs:339: `sv_undef' undeclared (first use in this function)
> make: *** [Postgres.o] Error 1

>         Can someone help me please to get Perl and Postgres working?

What is the name of the module you are trying to compile?
Have you read the README in that package?

Gerrit
-- 
"All faults& bugs are mine - Robert"
    from squid/acinclude.m4,   Sun Apr 21 05:21:21 2002

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/